CREATE TABLE IF NOT EXISTS `galerie` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pfad` varchar(40) NOT NULL,
  `thumb` varchar(40) DEFAULT NULL,
  `beschreibung` varchar(20) NOT NULL,
  `kat_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB;

CREATE TABLE IF NOT EXISTS `galerie_kategorie` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `kategorie` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `kategorie` (`kategorie`)
) ENGINE=InnoDB;

CREATE TABLE IF NOT EXISTS `group` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) NOT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `Name` (`Name`)
) ENGINE=MyISAM;

INSERT INTO `group` (`ID`, `Name`) VALUES
(1, 'Administratoren');

CREATE TABLE IF NOT EXISTS `groupmember` (
  `GroupID` int(11) NOT NULL,
  `MemberID` int(11) NOT NULL
) ENGINE=MyISAM;

INSERT INTO `groupmember` (`GroupID`, `MemberID`) VALUES
(1, 1);

CREATE TABLE IF NOT EXISTS `grouprights` (
  `GroupID` int(11) NOT NULL,
  `NavigationID` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `grouprights` (`GroupID`, `NavigationID`) VALUES
(1, 29),
(1, 28),
(1, 27),
(1, 26),
(1, 25),
(1, 24),
(1, 23),
(1, 22),
(1, 21),
(1, 20),
(1, 19),
(1, 18),
(1, 17),
(1, 16),
(1, 15),
(1, 14),
(1, 13),
(1, 12),
(1, 11),
(1, 10),
(1, 9),
(1, 8),
(1, 7),
(1, 6),
(1, 5),
(1, 4),
(1, 3),
(1, 2),
(1, 1);

CREATE TABLE IF NOT EXISTS `guestbook` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(40) NOT NULL,
  `text` text NOT NULL,
  `datum` int(11) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB;

CREATE TABLE IF NOT EXISTS `guestbook_badword` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `badword` varchar(20) NOT NULL,
  `aktion` varchar(10) NOT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `badword` (`badword`)
) ENGINE=InnoDB;

CREATE TABLE IF NOT EXISTS `module` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) NOT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `Name` (`Name`)
) ENGINE=MyISAM;

INSERT INTO `module` (`ID`, `Name`) VALUES
(1, 'gaestebuch'),
(2, 'galerie');

CREATE TABLE IF NOT EXISTS `navigation` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Path` varchar(40) DEFAULT NULL,
  `Title` varchar(30) NOT NULL,
  `Priority` int(11) NOT NULL,
  `parent` varchar(30) DEFAULT NULL,
  `showInNavi` tinyint(4) NOT NULL,
  `Backend` tinyint(4) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM;

INSERT INTO `navigation` (`ID`, `Path`, `Title`, `Priority`, `parent`, `showInNavi`, `Backend`) VALUES
(1, NULL, 'Users', 1, NULL, 1, 1),
(2, '?page=profile', 'Profilbersicht', 1, 'Users', 1, 1),
(3, '?page=adduser', 'User hinzufgen', 2, 'Users', 1, 1),
(4, '?page=logout', 'Logout', 99, NULL, 1, 1),
(5, '?page=templates', 'Templates verwalten', 2, 'Templates', 1, 1),
(6, '?page=template', 'Template auswhlen', 1, 'Templates', 1, 1),
(7, '?page=module', 'Module verwalten', 5, NULL, 1, 1),
(8, NULL, 'Templates', 3, NULL, 1, 1),
(9, '?page=', 'Home', 1, NULL, 1, 0),
(10, '?page=template', 'Seitenlayout auswhlen', 2, NULL, 1, 0),
(11, '?page=index&mod=gaestebuch', 'Gstebuch', 3, NULL, 1, 0),
(12, NULL, 'Gstebuch', 4, NULL, 1, 1),
(13, '?page=badword&mod=gaestebuch', 'Badwords verwalten', 2, 'Gstebuch', 1, 1),
(14, '?page=gbeintraege&mod=gaestebuch', 'Eintrge verwalten', 1, 'Gstebuch', 1, 1),
(15, NULL, 'Galerie', 5, NULL, 1, 1),
(16, '?page=galerie&mod=galerie', 'Bildergalerie', 4, NULL, 1, 0),
(17, '?page=galerieupload&mod=galerie', 'Bild hinzufgen', 4, 'Galerie', 1, 1),
(18, '?page=admingalerie&mod=galerie', 'Galerie verwalten', 3, 'Galerie', 1, 1),
(19, '?page=konfiggalerie&mod=galerie', 'Galerie konfigurieren', 1, 'Galerie', 1, 1),
(20, '?page=adminkat&mod=galerie', 'Kategorien verwalten', 2, 'Galerie', 1, 1),
(21, NULL, 'Content Manager', 2, NULL, 1, 1),
(22, '?page=content', 'bersicht', 1, 'Content Manager', 1, 1),
(23, '?page=addsite', 'Seite erstellen', 2, 'Content Manager', 1, 1),
(24, '?page=addgrp', 'Gruppe erstellen', 3, 'Users', 1, 1),
(25, '?page=intern', 'Intern', 1, NULL, 0, 1),
(26, '?page=editprofile', 'User editieren', 1, 'Users', 0, 1),
(27, '?page=pwedit', 'Passwort ndern', 3, 'Users', 0, 1),
(28, '?page=delsite', 'Eintrge lschen (jegliche)', 1, NULL, 0, 1);
(29, '?page=editgrp', 'Gruppe editieren', 3, NULL, 0, 1);


CREATE TABLE IF NOT EXISTS `site` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `templates` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(20) NOT NULL,
  `def` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `Name` (`Name`),
  UNIQUE KEY `default` (`def`)
) ENGINE=MyISAM;

INSERT INTO `templates` (`ID`, `Name`, `def`) VALUES
(1, 'city', 1),
(2, 'green', NULL),
(4, 'rose', NULL);


CREATE TABLE IF NOT EXISTS `user` (
  `UID` int(11) NOT NULL AUTO_INCREMENT,
  `Username` varchar(50) NOT NULL,
  `Passwort` varchar(50) NOT NULL,
  `Vorname` varchar(30) NOT NULL,
  `Nachname` varchar(30) NOT NULL,
  `EMail` varchar(200) NOT NULL,
  `Gesperrt` varchar(4) NOT NULL,
  PRIMARY KEY (`UID`)
) ENGINE=MyISAM;

